Bug 1735088 - dionaea: FTBFS in Fedora rawhide/f31
Summary: dionaea: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dionaea
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python2_removal_libemu rawhide_libdasm
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:34 UTC by Fedora Release Engineering
Modified: 2019-12-19 02:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-19 02:19:21 UTC


Attachments (Terms of Use)
build.log (1.29 KB, text/plain)
2019-07-31 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (475 bytes, text/plain)
2019-07-31 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 18:34:38 UTC
dionaea failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632807


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix dionaea at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dionaea will be orphaned. Before branching of Fedora 32,
dionaea will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 18:34:41 UTC
Created attachment 1595779 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 18:34:44 UTC
Created attachment 1595780 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 18:34:50 UTC
Created attachment 1595781 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:56:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:49:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:24:22 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Fedora Release Engineering 2019-09-29 04:23:28 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 8 Fedora Release Engineering 2019-10-06 04:22:50 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 9 Michal Ambroz 2019-10-07 10:29:20 UTC
Hello,
I am working on this, but I need more time to migrate to new/current release with the cmake build system.
Michal Ambroz

Comment 10 Fedora Release Engineering 2019-10-13 04:22:44 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 11 Michal Ambroz 2019-10-14 22:20:16 UTC
Hello dionaea fails to build because whole libemu package was removed from Fedora f31 with the python2 removing frenzy.
It works without problems in f30 and would probably happily work in f31/32 as well.
Please can we have the libemu package back so we can build the dionaea (speaking of libemu, not its subpackage python2-libemu, which is just python2 binding)?
Thank you
Michal Ambroz

Comment 12 Miro Hrončok 2019-10-14 22:41:07 UTC
Yes, if you can get a specfile of libemu without python2-libemu, we can re-review it and add it back.

Comment 13 Michal Ambroz 2019-10-17 05:37:16 UTC
Libemu is back in rawhide / f31.
Trying to get single libemu spec working for all suppoted platforms including the rhel7 before recompiling the dionaea for f32/f31.

Comment 14 Miro Hrončok 2019-10-17 08:05:24 UTC
Sorry, I have only read your comment after I've already built dionaea for F32.

I have not built dionaea for F31.

Comment 15 Michal Ambroz 2019-10-17 13:43:14 UTC
No problem ... I guess koji will handle one more release.

Comment 16 Fedora Release Engineering 2019-10-20 04:22:46 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages not successfully rebuilt at least on 30 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 17 Michal Ambroz 2019-10-24 04:56:36 UTC
I am still working on getting dionaea to compile with FC31, but it is not helping that same day we do the package ressurrection of the libemu dependency the other package libdasm is kicked the same way so instead of just fixing the package we need to go through another round of review.

Comment 18 Michal Ambroz 2019-12-19 02:19:21 UTC
version 0.7.0 builds again in rawhide, all python2 modules removed in fc32/master/rawhide


Note You need to log in before you can comment on or make changes to this bug.